using Articy.Unity;
using UnityEditor;
using UnityEngine;
using UnityEngine.Assertions;

public class DialogConfigurator : de.jmu.ge.viavr.UnityBridge.Core.PackageConfigurator {
    private const ulong testArticyDialogId = 0x1_00_00_00_00_00_00_3E; // TODO: for testing only. Remove once the logic engine defines the list of dialogs.

    public override void OnConfigureScene() {
        var prefab = AssetDatabase.LoadAssetAtPath<GameObject>("Packages/de.jmu.ge.dialogsystem/Prefabs/Dialog.prefab");
        Assert.AreNotEqual(prefab, null);
        var instance = PrefabUtility.InstantiatePrefab(prefab) as GameObject;
        instance.GetComponent<ArticyFlowPlayer>().StartOn = ArticyDatabase.GetObject(testArticyDialogId);
    }
}